Skip to main content
POST
/
instances
/
{id}
/
typebots
/
sessions
/
start
Start TypeBot session
curl --request POST \
  --url https://api.vzaps.com/instances/{id}/typebots/sessions/start \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "public_id": "dev",
  "phone": "5532999999999",
  "push_name": "Gustavo Almeida",
  "message": "Hello"
}
'
{
  "status": "ok"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Identificador publico da instancia no formato gerado pela plataforma: prefixo VZ seguido de caracteres alfanumericos.

Example:

"VZ9K2M4N8P1Q3R5S7T0WABCD01EF"

Body

application/json
public_id
string
required

Public TypeBot ID configured in the instance.

Example:

"dev"

phone
string
required

Contact phone number, with country code and digits only.

Example:

"5532999999999"

message
string
required

Initial message sent to TypeBot.

Example:

"Hello"

push_name
string

Optional contact name sent to TypeBot as pushName.

Example:

"Gustavo Almeida"

Response

OK

status
string
Example:

"ok"